/*
 * $Id: osfw.js,v 1.2 2010/04/09 15:39:03 jg Exp $
 * OSFW JS-Lib 
 * Copyright 2010, LF.net
 */

// Minimal Wert fuer die refresh Rate der Seiten
var osfw_refresh_min = 5;

// generische FilterFunktion, setzt die VAlues in dem Filter-Form
function osfwfilter (type, value) {
	var filterid = 'filter_' + type;
	$('#' + filterid).val(value);
	$('#osfw_data_options').submit();
}

// Reset Filter Funktion
function filterResetAll() {
	$('#filter').children('input[*|=filter]').val('');
	$('#osfw_data_options').submit();
}

// Hide | Show Options Form
function toggleOptionsForm() {
	
	// einfaches ein/ausblenden
	// $('#osfw_data_options').toggleClass('hidden');
	// $('.buttonbar').children('.filterresetall').toggleClass('hidden');
	
	// ein /ausblenden mit fade effect
	$('#osfw_data_options').slideToggle('fast', function () {
			$('.buttonbar').children('.filterresetall').toggleClass('hidden');
			// $('.buttonbar').children('.filterresetall').slideToggle('fast');
		});
	
}

function initRefresh(refresh) {

	// DOS prevention
	if (refresh < 5) {
		alert('Refresh darf nicht unter 5sec gesetzt werden');
		refresh = 5;
	}
	
	// Daten ueber AJAX nachladen, dabei zwar die gesamte Seite
	// einlesen, aber eben nur den data-container ersetzen,
	// Vorteil keine Unterscheidung auf dem Server noetig.  Und
	// teuer sind die Daten, nicht das bisschen HTML-drumrum
	// http://api.jquery.com/load/
	var refreshData = setInterval(
				      function(){
					      $('#osfwdatawrap').load(document.location + ' #osfwdata');
				      }, refresh * 1000);
	
	// Refresh der kompletten Seite
	// var refreshPage = setInterval(function()
	// {
	// location.reload();
	// }, refresh * 1000;?>);
	
}


// init der osfw js gimmicks
function osfw_init(refresh) {
	// refresh starten
	initRefresh(refresh);
	
	// Submit button im options form ausblenden
	// $('#osfw_data_options_submit').css('display','none');
	// Alle Elemente die bei aktiven JS nicht noetig sind ausblenden
	$('.jshidden').css('display','none');

	// Das options-Form ausblenden
	toggleOptionsForm();

}
