<?php
  /**
   *
   * Main-Script fuer die OSFW-Log-GUI
   *
   * @version $Id: main.php,v 1.3 2010/04/09 15:08:40 jg Exp $
   * @package osfw
   * @author  <webdev@LF.net>
   * @copyright 2010, LF.net
   *
   */

// Das Config-File laden damit wir den Rest automagisch finden

$cfile = './conf/config.inc.php';

if (! is_file($cfile) ) {
  echo "Config-File konnte nicht geladen werden, bitte Install pruefen";
  exit;
 }

include($cfile);
include(OSFW_AUTOLOADER);

// timezone setzen
date_default_timezone_set(OSFW_TZ);

try {
  
  // TODO, die DB-Conf sollte nicht so an die Page uebergeben werden
  // muessen.
  $page = new osfwPage($db_conf);
  $page->out();
  
}
catch (Exception $e) {
  debug($e->getMessage());
  exit;
  
}

// Debug-Output
// debug($GLOBALS);
// debug($_GET);

// EOF
